From beb275f8ec7419ce6080c13b8441eea73a26338a Mon Sep 17 00:00:00 2001
From: Paul Whalen <pwhalen@fedoraproject.org>
Date: Oct 29 2024 13:17:56 +0000
Subject: F41: Enable updates


Signed-off-by: Paul Whalen <pwhalen@fedoraproject.org>

---

diff --git a/fedora-iot.conf b/fedora-iot.conf
index 13a0b0d..7f7333c 100644
--- a/fedora-iot.conf
+++ b/fedora-iot.conf
@@ -217,7 +217,8 @@ osbuild = {
         "image_types": ["iot-raw-image"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$arch/os/",
+                 "https://kojipkgs.fedoraproject.org/compose/updates/f41-updates/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
         "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT",
@@ -228,7 +229,8 @@ osbuild = {
         "image_types": ["iot-installer"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$arch/os/",
+                 "https://kojipkgs.fedoraproject.org/compose/updates/f41-updates/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
         "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT",
@@ -240,7 +242,8 @@ osbuild = {
         "image_types": ["iot-simplified-installer"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$arch/os/",
+                 "https://kojipkgs.fedoraproject.org/compose/updates/f41-updates/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
         "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT_Simplified_Provisioner",
@@ -261,8 +264,8 @@ ostree = {
             "config_branch": "f41",
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$basearch/os/"
-            ]
+                "https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$basearch/os/",
+                "https://kojipkgs.fedoraproject.org/compose/updates/f41-updates/compose/Everything/$arch/os/"],
             "tag_ref": False,
             "ostree_repo": "/mnt/koji/compose/iot/repo/",
             "ostree_ref": "fedora/stable/${basearch}/iot",
@@ -278,7 +281,8 @@ ostree_container = {
         "config_url": "https://pagure.io/fedora-iot/base-images",
         "config_branch": "f41",
         "treefile": "fedora-bootc.yaml",
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$basearch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$basearch/os/",
+                 "https://kojipkgs.fedoraproject.org/compose/updates/f41-updates/compose/Everything/$arch/os/"],
         "arches": ["x86_64", "aarch64", "ppc64le", "s390x"],
         "failable": ['*'],
     },
@@ -287,7 +291,8 @@ ostree_container = {
         "config_url": "https://pagure.io/fedora-iot/ostree.git",
         "config_branch": "f41",
         "treefile": "fedora-iot-bootc.yaml",
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$basearch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$basearch/os/",
+                 "https://kojipkgs.fedoraproject.org/compose/updates/f41-updates/compose/Everything/$arch/os/"],
         "arches": ["x86_64", "aarch64"],
         "failable": ['*'],
     },

